/*
   Copyright 2012 Olivier de Gaalon <olivier.jg@gmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef CPP_RENAMEACTION_H
#define CPP_RENAMEACTION_H

#include <interfaces/iassistant.h>
#include <language/duchain/identifier.h>
#include <language/editor/rangeinrevision.h>
#include <ktexteditor/view.h>

using namespace KDevelop;
namespace Cpp {

typedef QMap<IndexedString, QList <RangeInRevision> > UsesList;

class RenameAction : public IAssistantAction {
public:
  RenameAction(const Identifier &oldDeclarationName, const QString &newDeclarationName, const UsesList &oldDeclarationUses);
  virtual QString description() const;
  virtual QString newDeclarationName() const;
  virtual QString oldDeclarationName() const;
  virtual void execute();
private:
  Identifier m_oldDeclarationName;
  QString m_newDeclarationName;
  UsesList m_oldDeclarationUses;
};

}

#endif
